Skip to content

Video Extend

POST https://www.kkiai.com/kling/v1/videos/video-extend

Request Parameters

Authorization

Add the Authorization parameter to the Header. Its value is the Token concatenated after Bearer.

Example: Authorization: Bearer ********************

Header Parameters

Parameter NameTypeRequiredDescriptionExample
Content-TypestringOptionalapplication/json
AuthorizationstringOptionalBearer {{YOUR_API_KEY}}

Body Parameters (application/json)

Parameter NameTypeRequiredDescription
video_idstringRequiredVideo ID. Supports IDs of videos generated through text, image, and video extension (original video cannot exceed 3 minutes)
promptstringRequiredPositive text prompt. Cannot exceed 2500 characters
negative_promptstringOptional
cfg_scalenumberOptionalPrompt reference strength. Value range: [0,1]. The larger the value, the stronger the reference strength
callback_urlstringOptional

Request Example

json
{
    "video_id": "828006748715380777",
    "prompt": "Extend the animation effect.",
    "negative_prompt": "",
    "cfg_scale": 0.5,
    "callback_url": ""
}

cURL Example

bash
curl --location --request POST 'https://www.kkiai.com/kling/v1/videos/video-extend' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "video_id": "828006748715380777",
    "prompt": "Extend the animation effect.",
    "negative_prompt": "",
    "cfg_scale": 0.5,
    "callback_url": ""
}'

Response

🟢 200 Success

Response Example

json
{}